## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * files which are needed to run tests are not included in published crates:
#   https://github.com/rhysd/cargo-husky/issues/17
%bcond_with check
%global debug_package %{nil}

%global crate cargo-husky

Name:           rust-cargo-husky
Version:        1.5.0
Release:        %autorelease
Summary:        Husky for cargo

License:        MIT
URL:            https://crates.io/crates/cargo-husky
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * set "license" instead of "license-file" in crate metadata;
#   "license-file" is intended to be used for non-standard licenses only:
#   https://github.com/rhysd/cargo-husky/pull/15
Patch:          cargo-husky-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Husky for cargo.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+postmerge-hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+postmerge-hook-devel %{_description}

This package contains library source intended for building other packages which
use the "postmerge-hook" feature of the "%{crate}" crate.

%files       -n %{name}+postmerge-hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+precommit-hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+precommit-hook-devel %{_description}

This package contains library source intended for building other packages which
use the "precommit-hook" feature of the "%{crate}" crate.

%files       -n %{name}+precommit-hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prepush-hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prepush-hook-devel %{_description}

This package contains library source intended for building other packages which
use the "prepush-hook" feature of the "%{crate}" crate.

%files       -n %{name}+prepush-hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+run-cargo-check-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+run-cargo-check-devel %{_description}

This package contains library source intended for building other packages which
use the "run-cargo-check" feature of the "%{crate}" crate.

%files       -n %{name}+run-cargo-check-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+run-cargo-clippy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+run-cargo-clippy-devel %{_description}

This package contains library source intended for building other packages which
use the "run-cargo-clippy" feature of the "%{crate}" crate.

%files       -n %{name}+run-cargo-clippy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+run-cargo-fmt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+run-cargo-fmt-devel %{_description}

This package contains library source intended for building other packages which
use the "run-cargo-fmt" feature of the "%{crate}" crate.

%files       -n %{name}+run-cargo-fmt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+run-cargo-test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+run-cargo-test-devel %{_description}

This package contains library source intended for building other packages which
use the "run-cargo-test" feature of the "%{crate}" crate.

%files       -n %{name}+run-cargo-test-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+run-for-all-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+run-for-all-devel %{_description}

This package contains library source intended for building other packages which
use the "run-for-all" feature of the "%{crate}" crate.

%files       -n %{name}+run-for-all-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+user-hooks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+user-hooks-devel %{_description}

This package contains library source intended for building other packages which
use the "user-hooks" feature of the "%{crate}" crate.

%files       -n %{name}+user-hooks-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 10 2023 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-11
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 21 18:42:45 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-1
- Update to 1.5.0

* Fri Nov 08 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-2
- Trivial fixes

* Thu Oct 31 15:06:16 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- Initial package

